P4_DROP_STR_FRAME(3)

NAME
p4_drop_str_frame - DROP-$FRAME ($: frame*$ i*$ -- i*s )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_drop_str_frame(---);

DESCRIPTION

Drop the topmost string frame from the string frame stack, and the corresponding strings, frame*$, from the string stack. An error is thrown if either stack would underflow. The cases where the frame has zero entries on the string stack and/or there are zero or more items on the string stack above the top frame item are handled properly. "drop-string-frame"

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams